# FreeType-2.1.8 API Reference

# Mac-Specific Interface

## Synopsis

| FT_New_Face_From_FOND |  | FT_New_Face_From_FSSpec
| FT_GetFile_From_Mac_Name |  |

The following definitions are only available if FreeType is compiled on a Macintosh.

#### FT_New_Face_From_FOND

      FT_EXPORT( FT_Error )
      FT_New_Face_From_FOND( FT_Library  library,
                             Handle      fond,
                             FT_Long     face_index,
                             FT_Face    *aface );

Creates a new face object from an FOND resource.

inout

library | A handle to the library resource.

input

fond | An FOND resource.
face_index | Only supported for the -1 `sanity check' special case.

output

aface | A handle to a new face object.

return
FreeType error code. 0 means success.

notes

This function can be used to create FT_Face abjects from fonts that are installed in the system like so:

      fond = GetResource( 'FOND', fontName );
      error = FT_New_Face_From_FOND( library, fond, 0, &face );

#### FT_GetFile_From_Mac_Name

      FT_EXPORT( FT_Error )
      FT_GetFile_From_Mac_Name( const char*  fontName,
                                FSSpec*      pathSpec,
                                FT_Long*     face_index );

Returns an FSSpec for the disk file containing the named font.

input

fontName | Mac OS name of the font (eg. Times New Roman Bold).

output

pathSpec | FSSpec to the file. For passing to FT_New_Face.
face_index | Index of the face. For passing to FT_New_Face.

return
FreeType error code. 0 means success.

#### FT_New_Face_From_FSSpec

      FT_EXPORT( FT_Error )
      FT_New_Face_From_FSSpec( FT_Library     library,
                               const FSSpec  *spec,
                               FT_Long        face_index,
                               FT_Face       *aface );

Creates a new face object from a given resource and typeface index using an FSSpec to the font file.

inout

library | A handle to the library resource.

input

spec | FSSpec to the font file.
face_index | The index of the face within the resource. The first face has index 0.

output

aface | A handle to a new face object.

return
FreeType error code. 0 means success.

note
FT_New_Face_From_FSSpec is identical to FT_New_Face except it accepts an FSSpec instead of a path.